Bug 2174013

Summary: CVE-2023-24329 python3.6: python: urllib.parse url blocklisting bypass [fedora-all]
Product: [Fedora] Fedora Reporter: Marian Rehak <mrehak>
Component: python3.6Assignee: Charalampos Stratakis <cstratak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 37CC: cstratak, marat.abrarov, mhroncok, python-maint, python-packagers-sig, torsava, vstinner, ykashtan
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python3.6-3.6.15-18.fc39 python3.6-3.6.15-18.fc38 python3.6-3.6.15-16.fc37 Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-05-26 15:55:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2173917    

Description Marian Rehak 2023-02-28 16:58:40 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2173917

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Marian Rehak 2023-02-28 16:58:43 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2173917,2174013

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Yuval Kashtan 2023-05-25 13:50:15 UTC
I was wondering if we can get an estimate on when will a fix be available?

Comment 3 Fedora Update System 2023-05-26 15:51:34 UTC
FEDORA-2023-2415ca21a4 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2415ca21a4

Comment 4 Fedora Update System 2023-05-26 15:55:26 UTC
FEDORA-2023-2415ca21a4 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2023-05-26 18:19:34 UTC
FEDORA-2023-56cefa23df has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-56cefa23df

Comment 6 Fedora Update System 2023-05-26 18:20:14 UTC
FEDORA-2023-2b25dd2a11 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2b25dd2a11

Comment 7 Fedora Update System 2023-05-27 01:32:52 UTC
FEDORA-2023-2b25dd2a11 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2b25dd2a11`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2b25dd2a11

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-05-27 02:16:46 UTC
FEDORA-2023-56cefa23df has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-56cefa23df`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-56cefa23df

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-05-30 02:03:21 UTC
FEDORA-2023-2b25dd2a11 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-06-04 01:23:20 UTC
FEDORA-2023-56cefa23df has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.